Summary:	The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Name:		nasm
Version:    0.98.39
Release:	%mkrel 4
License:	LGPL
Group:		Development/Other

Source:		http://prdownloads.sourceforge.net/nasm/%{name}-%{version}.tar.bz2
Patch0:		nasm-0.98.39-CAN-2005-1194.patch

URL:		http://nasm.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ghostscript
BuildRequires:	groff
BuildRequires:	texinfo

%package doc
Summary:	Extensive documentation for NASM
Group:		Books/Computer books
Requires(pre):		/sbin/install-info
Requires(postun):		/sbin/install-info

%package rdoff
Summary:	Tools for the RDOFF binary format, sometimes used with NASM
Group:		Development/Other

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
PostScript, RTF and text formats.

%description rdoff
Tools for the operating-system independent RDOFF binary format, which
is sometimes used with the Netwide Assembler (NASM).  These tools
include linker, library manager, loader, and information dump.

%prep

%setup -q
%patch0 -p1 -b .can-2005-1194

%build
rm -f config.cache config.status config.log
%configure2_5x
%make everything

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_infodir},%{_mandir}/man1}
%makeinstall install_rdf
cd doc
install info/* $RPM_BUILD_ROOT/%{_infodir}/
bzip2 -9f nasmdoc*.txt nasmdoc*.ps||true
cd html
ln -sf nasmdoc0.html index.html

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info nasm.info

%preun
%_remove_install_info nasm.info

%files
%defattr(-,root,root)
%doc COPYING CHANGES TODO AUTHORS README doc/internal.doc
%attr(755,root,root) %{_bindir}/nasm
%attr(755,root,root) %{_bindir}/ndisasm
%{_mandir}/man1/nasm.1*
%{_mandir}/man1/ndisasm.1*
%{_infodir}/nasm.info*

%files doc
%defattr(-,root,root)
%doc doc/nasmdoc.ps.bz2 doc/nasmdoc.txt.bz2 doc/nasmdoc.rtf doc/html

%files rdoff
%defattr(-,root,root)
%doc rdoff/README rdoff/doc/v1-v2.txt
%{_bindir}/rdfdump
%{_bindir}/ldrdf
%{_bindir}/rdx
%{_bindir}/rdflib
%{_bindir}/rdf2bin
%{_bindir}/rdf2ihx
%{_bindir}/rdf2com


%changelog
* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.98.39-4mdv2007.0
+ Revision: 114692
- Import nasm



* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.98.39-4mdv2007.1
- Rebuild

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.98.39-3mdk
- Rebuild

* Thu Aug 25 2005 Olivier Thauvin <nanardon@mandriva.org> 0.98.39-2mdk
- security update into cooker

* Wed May 18 2005 Vincent Danen <vdanen@mandriva.com> 0.98.39-1.1.102mdk
- security update for CAN-2005-1194

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.98.39-1mdk
- fix configure macro
- add source URL
- New release 0.98.39

* Mon Oct 13 2003 Franois Pons <fpons@mandrakesoft.com> 0.98.38-1mdk
- updated url.
- 0.98.38.

* Mon Jul 21 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.98.35-2mdk
- rebuild

* Fri Nov 22 2002 Franois Pons <fpons@mandrakesoft.com> 0.98.35-1mdk
- 0.98.35.

* Sun Oct 27 2002 Stefan van der Eijk <stefan@eijk.nu> 0.98.34-3mdk
- BuildRequires: ghostscript (ps2pdf)

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.98.34-2mdk
- fix doc subpackage group

* Mon Jun 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.98.34-1mdk
- new release

* Fri May 24 2002 Franois Pons <fpons@mandrakesoft.com> 0.98.32-1mdk
- 0.98.32.

* Tue May 14 2002 Franois Pons <fpons@mandrakesoft.com> 0.98.31-1mdk
- 0.98.31.

* Mon Apr 22 2002 Franois Pons <fpons@mandrakesoft.com> 0.98.25alt-2mdk
- updated License tag (LGPL).
- fixed doc reference.

* Mon Mar 25 2002 Franois Pons <fpons@mandrakesoft.com> 0.98.25alt-1mdk
- re-changed License tag.
- 0.98.25alt.

* Thu Jan 24 2002 Franois Pons <fpons@mandrakesoft.com> 0.98.22-1mdk
- bzip2-ed nasmdoc.txt and nasmdoc.ps files.
- changed License tag.
- 0.98.22.

* Wed Nov 07 2001 Franois Pons <fpons@mandrakesoft.com> 0.98.08-1mdk
- 0.98.08.

* Tue Oct 23 2001 Franois Pons <fpons@mandrakesoft.com> 0.98-9mdk
- small source rpm rework.

* Thu Jul 26 2001 Warly <warly@mandrakesoft.com> 0.98-8mdk
- rebuild

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.98-7mdk
- BuildRequires: texinfo
- Use %%make macro

* Fri Nov 24 2000 Warly <warly@mandrakesoft.com> 0.98-6mdk
- Change license

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.98-5mdk
- BM

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>  0.98-4mdk
- use new macros
- make package short-circuit compliant ...
- Andrew Lee <andrew@cle.linux.org.tw> : add Enhanced 3D Now! patch
- move post & postun script from -doc in main package since info pages are
  there ...

* Wed Apr 05 2000 Warly <warly@linux-mandrake.com> 0.98-3mdk
- new group: Development/Other
- spec-helper

* Thu Feb 03 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added BuildPreReq.
- changed doc dirs.

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- First spec
